MDSETIMAGE(8)

NAME
mdsetimage - set kernel RAM disk image

SYNOPSIS
mdsetimage [-svx] [-b bfdname] [-I image_symbol] [-S size_symbol] kernel image

DESCRIPTION
The mdsetimage command copies the disk image specified by image into the memory disk storage area in kernel. The file system present in image will typically be used by the kernel as the root file system.

To recognize kernel executable format, the -b flag specifies BFD name of kernel.

The -I and -S flags specify the symbol names of image and size of memory disk drivers respectively.

If the -s flags is given, mdsetimage will write back the actual disk image size back into kernel.

If the -v flag is given, mdsetimage will print out status information as it is copying the image.

If the -x flag is given, mdsetimage will extract the disk image from kernel into the file image. This is the opposite of the default behavior.

SEE ALSO
md(4), mdconfig(8)